import Engine from "../../../Engine";
import {Texture} from "three";
import {SurfacePoint3} from "../../../../core/geom/3d/SurfacePoint3";

export default class Terrain {
    fromJSON(json: any, engine: Engine): void;

    toJSON(): any

    buildLightMap(quality: number): Promise<Texture>

    raycastFirstSync(
        result: SurfacePoint3,
        originX: number, originY: number, originZ: number,
        directionX: number, directionY: number, directionZ: number
    ): boolean
}
